/**
 * @file        MySQL连接池测试
 * @author      hotok
 * @date        2025-06-28
 * @lastEditor  hotok
 * @lastEditTime 2025-06-28
 * @description 测试MySQL连接池是否可用
 */

import { describe, it, expect } from 'vitest';
import { pool } from './mysql';

// 基础连接测试

describe('MySQL连接池', () => {
    it('应能成功建立连接', async () => {
        const conn = await pool.getConnection();
        expect(conn).toBeDefined();
        await conn.release();
    });

    it('应能执行简单查询', async () => {
        const [rows] = await pool.query('SELECT 1 + 1 AS result');
        // mysql2返回的rows类型为 RowDataPacket[]
        expect(Array.isArray(rows)).toBe(true);
        expect((rows as any)[0]?.result).toBe(2);
    });
});
